package com.fr.plugin.third.party.jsdjjed;

import com.fr.decision.fun.impl.AbstractSystemOptionProvider;
import com.fr.decision.web.MainComponent;
import com.fr.web.struct.Atom;

public class FeishuManagerSystemOption extends AbstractSystemOptionProvider {

    @Override
    public String id() {
        return "decision-jsdjjed-feishu-manager";
    }

    @Override
    public String displayName() {
        return "飞书管理";
    }

    @Override
    public int sortIndex() {
        return 2;
    }

    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    @Override
    public Atom client() {
        return FeishuManagerComponent.KEY;
    }
}