package com.fr.plugin.third.party.jsdjjed.app.config;

import com.fr.stable.AssistUtils;
import com.fr.stable.db.entity.BaseEntity;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

@Entity
@Table(name = "jsdjjed_feishu_config")
public class AppConfigEntity extends BaseEntity {
    @Column(name = "config_id")
    private String configId;

    @Column(name = "notes")
    private String notes;

    @Column(name = "app_id")
    private String appId;

    @Column(name = "app_secret")
    private String appSecret;

    @Column(name = "login_map")
    private String loginMap;

    @Column(name = "login")
    private int login;


    public AppConfigEntity() {

    }

    public String getConfigId() {
        return configId;
    }

    public void setConfigId(String configId) {
        this.configId = configId;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public int getLogin() {
        return login;
    }

    public void setLogin(int login) {
        this.login = login;
    }

    public String getLoginMap() {
        return loginMap;
    }

    public void setLoginMap(String loginMap) {
        this.loginMap = loginMap;
    }

    @Override
    public String toString() {
        return AssistUtils.toString(this);
    }
}
