package com.fr.plugin.third.party.jsdjjed.feishu;

import com.fanruan.api.util.StringKit;

import java.io.Serializable;

public class FeishuLoginUserBean implements Serializable {
    /**
     * 用户 user_id
     */
    private String userId;
    /**
     * 用户姓名
     */
    private String name;
    /**
     * 用户英文名称
     */
    private String enName;
    /**
     * 用户手机号
     */
    private String mobile;


    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String value) {
        if (StringKit.isEmpty(value)) {
            this.mobile = "";
        }
        if (value.startsWith("+86")) {
            value = value.substring(3);
        }
        this.mobile = value;
    }
}
