package com.fr.plugin.third.party.jsdjjed.handle;

import com.fr.general.ReportDeclareRecordType;
import com.fr.io.exporter.ScaledImageExporter;
import com.fr.main.workbook.ResultWorkBook;
import com.fr.schedule.extension.report.job.output.BaseOutputFormat;

import java.io.OutputStream;

public class ImageOutputFormat extends BaseOutputFormat {
    public static final int FORMAT_IMAGE = 4096;

    public int getFormat() {
        return FORMAT_IMAGE;
    }

    public String getFileSuffix() {
        return ".png";
    }


    public void flush(OutputStream outputStream, ResultWorkBook resultWorkBook) throws Exception {

        ScaledImageExporter exporter = new ScaledImageExporter(ReportDeclareRecordType.EXPORT_TYPE_IMAGE_PNG.getTypeString(), 96);
        exporter.export(outputStream, resultWorkBook);
    }


}
