package com.fr.plugin.third.party.jsdjjed.schedule.entity;


import com.fr.plugin.third.party.jsdjjed.schedule.bean.OutputAppMessagePush;
import com.fr.schedule.base.bean.BaseBean;
import com.fr.schedule.base.entity.AbstractScheduleEntity;
import com.fr.stable.db.constant.EntityConstant;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

@Entity
@Table(name = "jsdjjed_feishu_message_push")
public class AppMessagePushEntity extends AbstractScheduleEntity {
    @Column(name =  "terminal")
    private int terminal = 64;

    @Column(name =  "media_id")
    private int mediaId = -1;

    @Column(name = "subject", length = EntityConstant.STRING_LONG_SIZE)
    private String subject;

    @Column(name = "content", length = EntityConstant.STRING_LONG_SIZE)
    private String content;

    @Column(name = "type")
    private int type;

    @Column(name = "config_id")
    private String configId;

    @Column(name = "chat_group_id", length = EntityConstant.STRING_LONG_SIZE)
    private String chatGroupId;

    @Column(name = "feishu_msg_type")
    private String feishuMsgType;

    @Column(name = "feishu_send_type")
    private String feishuSendType;


    @Override
    public BaseBean createBean() {
        OutputAppMessagePush outputAppMessagePush = new OutputAppMessagePush();
        outputAppMessagePush.setId(this.getId());
        outputAppMessagePush.setContent(this.getContent());
        outputAppMessagePush.setSubject(this.getSubject());
        outputAppMessagePush.setTerminal(this.getTerminal());
        outputAppMessagePush.setType(this.getType());
        outputAppMessagePush.setConfigId(this.getConfigId());
        outputAppMessagePush.setChatGroupId(this.getChatGroupId());
        outputAppMessagePush.setMediaId(this.getMediaId());
        outputAppMessagePush.setFeishuMsgType(this.getFeishuMsgType());
        outputAppMessagePush.setFeishuSendType(this.getFeishuSendType());
        return outputAppMessagePush;
    }


    public int getTerminal() {
        return terminal;
    }

    public void setTerminal(int terminal) {
        this.terminal = terminal;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getConfigId() {
        return configId;
    }

    public void setConfigId(String configId) {
        this.configId = configId;
    }

    public String getChatGroupId() {
        return chatGroupId;
    }

    public void setChatGroupId(String chatGroupId) {
        this.chatGroupId = chatGroupId;
    }

    public int getMediaId() {
        return mediaId;
    }

    public void setMediaId(int mediaId) {
        this.mediaId = mediaId;
    }

    public String getFeishuMsgType() {
        return feishuMsgType;
    }

    public void setFeishuMsgType(String feishuMsgType) {
        this.feishuMsgType = feishuMsgType;
    }

    public String getFeishuSendType() {
        return feishuSendType;
    }

    public void setFeishuSendType(String feishuSendType) {
        this.feishuSendType = feishuSendType;
    }
}
