package com.fr.plugin.third.party.jsdjjed.schedule.provider;

import com.fr.decision.plugin.db.AbstractDecisionDBAccessProvider;


import com.fr.plugin.third.party.jsdjjed.schedule.entity.AppMessagePushEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;


public class DBAccessProvider extends AbstractDecisionDBAccessProvider {
    private static DBAccessor dbAccessor = null;

    public static DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider() {
                    @Override
                    public Class getEntityClass() {
                        return AppMessagePushEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return AppMessagePushDao.class;
                    }
                }
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        DBAccessProvider.dbAccessor = dbAccessor;
    }
}
