package com.fr.plugin.third.party.jsdjjed.http;

import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.plugin.third.party.jsdjjed.http.app.*;


public class CustomHttpHandlerProvider extends AbstractHttpHandlerProvider {
    @Override
    public BaseHttpHandler[] registerHandlers() {
        return new BaseHttpHandler[]{
                new AddAppHttpHandler(),
                new DeleteAppHttpHandler(),
                new EditAppHttpHandler(),
                new QueryAppHttpHandler(),
                new ForbidAppHttpHandler(),
                new QueryAppConfigHttpHandler(),
                new SaveAppConfigHttpHandler(),
                new QueryChatGroupsHttpHandler(),
                new SynchronizeSourceHttpHandler()
        };
    }
}
