package com.fr.plugin.third.party.jsdjjed.http.app;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.json.JSONObject;
import com.fr.plugin.third.party.jsdjjed.Utils;
import com.fr.plugin.third.party.jsdjjed.config.AppDataConfig;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 */
public class SynchronizeSourceHttpHandler extends BaseHttpHandler {

    @Override
    public RequestMethod getMethod() {
        return RequestMethod.GET;
    }

    @Override
    public String getPath() {
        return "/jsdjjed/synchronize/source";
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Override
    public void handle(HttpServletRequest req, HttpServletResponse res) throws Exception {
        res.setContentType("application/json; charset=utf-8");
        JSONObject dataJson = getConfigJsonData();
        WebUtils.printAsJSON(res, dataJson);
    }

    private JSONObject getConfigJsonData() {
        JSONObject dataJson = new JSONObject("{\"data\":{\"type\":0}}");
        return dataJson;
    }


}
