package com.fr.plugin.third.party.jsdjjed.schedule.formula;

import com.fr.main.workbook.ResultWorkBook;
import com.fr.plugin.third.party.jsdjjed.schedule.bean.OutputAppMessagePush;
import com.fr.schedule.base.provider.impl.AbstractOutputFormulaProvider;
import com.fr.schedule.extension.report.util.ScheduleParameterUtils;

import java.util.List;
import java.util.Map;

public class FeishuOutputFormula extends AbstractOutputFormulaProvider<OutputAppMessagePush, ResultWorkBook> {

    @Override
    public void dealWithFormulaParam(OutputAppMessagePush bean, ResultWorkBook workBook, List<Map<String, Object>> param) throws Exception {
        Map map = param.get(0);
        bean.setSubject(ScheduleParameterUtils.dealWithParameter(bean.getSubject(), map, workBook));
        bean.setContent(ScheduleParameterUtils.dealWithParameter(bean.getContent(), map, workBook));
    }

    @Override
    public String getActionClassName() {
        return OutputAppMessagePush.class.getName();
    }
}
