package com.fr.plugin.third.party.jsdjjed.schedule.formula;

import com.fr.plugin.third.party.jsdjjed.schedule.bean.OutputAppMessagePush;
import com.fr.schedule.extension.report.job.output.formula.extract.impl.AbstractOutputFormulaExtractorProvider;
import com.fr.schedule.extension.report.util.ScheduleParameterUtils;

import java.util.Map;
import java.util.regex.Pattern;

public class FormulaCalculator extends AbstractOutputFormulaExtractorProvider<OutputAppMessagePush> {

    @Override
    public String getActionClassName() {
        return OutputAppMessagePush.class.getName();
    }

    @Override
    public void addFormulaToMap(OutputAppMessagePush bean, Pattern pattern, Map<String, Object> map) {
        ScheduleParameterUtils.addFormulaToMap(bean.getSubject(),pattern, map);
        ScheduleParameterUtils.addFormulaToMap(bean.getContent(),pattern, map);
    }
}
