package com.fr.plugin.third.party.jsdjjed.schedule.utils;

import com.fr.io.utils.ResourceIOUtils;
import com.fr.log.FineLoggerFactory;
import com.fr.stable.StringUtils;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class PropertiesUtils {
    //获取配置文件
    private static Properties getProperties() {
        InputStream is = ResourceIOUtils.read("/resources/minxing_push_message.properties");
        Properties properties = new Properties();
        try {
            properties.load(is);
        } catch (IOException e) {
            FineLoggerFactory.getLogger().error("JSD:>>get properties error! ",e.getMessage());
        }
        return properties;
    }

    public static String getPro(String key) {
        Properties properties = PropertiesUtils.getProperties();
        String value = properties.get(key)==null?"":properties.get(key).toString();
        if ( StringUtils.isEmpty(value)) {
            FineLoggerFactory.getLogger().error("JSD:>>[{}] is null or empty!",key);
        }
        return value;
    }



}
