!(function () {
        Dec.jsdjjed = Dec.jsdjjed || {};
        BI.extend(Dec.jsdjjed, {
            reqAddApp: function (e, t) {
                Dec.reqPost("/url/jsdjjed/add/app", e, t)
            },
            reqAppsByPage: function (e, t, i) {
                return Dec.reqGet("/url/jsdjjed/query/app?" + Dec.Utils.transformObject2URLParam(e, null, !1), {}, t, i)
            },
            reqEditApp: function (e, t) {
                Dec.reqPut("/url/jsdjjed/edit/app", e, t)
            },
            deleteAppsByIds: function (e, t) {
                Dec.reqDelete("/url/jsdjjed/delete/app", {
                    removeUserIds: e
                }, t)
            },
            forbidApp: function (e, t) {
                Dec.reqPut("/url/jsdjjed/forbid/app", e, t)
            },
            getAppConfig: function (e) {
                Dec.reqGetHandle("/url/jsdjjed/query/config/app", "", e)
            },

            saveAppConfig: function (e, t) {
                Dec.reqPut("/url/jsdjjed/save/config/app", e, t)
            },
            reqChatGroup: function (e, t, i) {
                return Dec.reqGet("/url/jsdjjed/query/chat/group?" + Dec.Utils.transformObject2URLParam(e, null, !1), {}, t, i)
            },
            isStatusSuccess: function (e) {
                if (e.status && e.status == "success") {
                    return true;
                }
                return false;
            },
            getValidItemsData: function (e) {
                if (e.data && e.data.items) {
                    return e.data.items;
                }
                return [];
            },
            getSyncSource: function (e, t) {
                return Dec.reqGet("/url/jsdjjed/synchronize/source", "", t)
            }

        });

        var feishuAppModelAllRow = BI.inherit(Fix.Model, {
            context: ["rows", "currentPage", "isAllChecked", "filter", "syncConfigs", "selectedValues", "userManagementConfigs"],
            computed: {
                keywordMap: function () {
                    var e = {};
                    return BI.isEmptyString(this.model.filter.searchBy) ? e = {
                        username: this.model.filter.keyword,
                        realName: this.model.filter.keyword
                    } : (e[this.model.filter.searchBy] = this.model.filter.keyword,
                        e)
                },
                selected: function () {
                    return BI.some(this.model.selectedValues, function (e, t) {
                        return t === this.options.id
                    }, this)
                }
            },
            actions: {
                disableUser: function (i, n) {
                    var t = this;
                    Dec.jsdjjed.forbidApp({
                        enable: i,
                        id: n
                    }, function (e) {
                        BI.some(t.model.rows, function (e, t) {
                            if (t.id === n)
                                return t.enable = i,
                                    !0
                        }),
                            t.model.rows.splice(0, 0)
                    })
                },
                changeSelected: function (i) {
                    var n = this;
                    i ? this.model.selectedValues.push(this.options.id) : BI.remove(this.model.selectedValues, this.options.id),
                        BI.some(n.model.rows, function (e, t) {
                            if (t.id === n.options.id)
                                return t.selected = i,
                                    !0
                        }),
                        this.model.isAllChecked = BI.every(this.model.rows, function (e, t) {
                            return BI.contains(n.model.selectedValues, t.id) || !t.enableCheck
                        })
                }
            }
        });
        //BI.model("dec.model.user.all.row", feishuAppModelAllRow);
        BI.model("dec.model.jsdjjed.feishu.app.all.row", feishuAppModelAllRow);

        var feishuAppEditItemConfigId = BI.inherit(BI.Widget, {
            props: {
                editControll: {},
                userInfo: {}
            },
            render: function () {
                var e = this.options
                    , t = e.userInfo;
                e.editControll;
                return {
                    type: "bi.vertical_adapt",
                    items: [{
                        type: "bi.label",
                        width: 90,
                        textAlign: "left",
                        text: "应用唯一标识"
                    }, {
                        el: {
                            type: "bi.label",
                            cls: "bi-border bi-border-radius",
                            width: 420,
                            height: 22,
                            value: t.configId,
                            textAlign: "left",
                            disabled: !0,
                            lgap: 4
                        }
                    }]
                }
            },
            getValue: function () {
                return {}
            }
        });
        BI.shortcut("dec.jsdjjed.feishu.app.edit_app.item.configId", feishuAppEditItemConfigId);

        var feishuAppEditItemNotes = BI.inherit(BI.Widget, {
            props: {
                editControll: {},
                userInfo: {}
            },
            render: function () {
                var t = this
                    , e = this.options
                    , i = e.userInfo
                    , e = e.editControll;
                return {
                    type: "dec.form.editor",
                    $value: "real-name",
                    textWidth: 90,
                    editorWidth: 420,
                    invisible: !e.enableEditInfo,
                    text: "应用说明",
                    watermark: "应用说明",
                    value: i.notes,
                    el: {
                        disabled: e.userInfoReadOnly
                    },
                    name: "notes",
                    rules: {
                        max: DecCst.STRING_SHORT_TEXT_LENGTH
                    },
                    ref: function (e) {
                        t.notes = e
                    }
                }
            },
            getValidations: function () {
                return this.notes.getValidations()
            },
            showError: function (e) {
                this.notes.showError(e)
            },
            hideError: function () {
                this.notes.hideError()
            },
            getValue: function () {
                return {
                    notes: this.notes.getValue()
                }
            }
        });
        BI.shortcut("dec.jsdjjed.feishu.app.edit_user.item.notes", feishuAppEditItemNotes);
        var feishuAppEditItemloginMap = BI.inherit(BI.Widget, {
            props: {
                editControll: {},
                userInfo: {}
            },
            render: function () {
                var t = this
                    , e = this.options
                    , i = e.userInfo
                    , e = e.editControll;
                return {
                    type: "dec.form.editor",
                    $value: "real-name",
                    textWidth: 90,
                    editorWidth: 420,
                    invisible: !e.enableEditInfo,
                    text: "单点映射字段",
                    watermark: "单点映射字段",
                    value: i.loginMap,
                    el: {
                        disabled: e.userInfoReadOnly
                    },
                    name: "loginMap",
                    rules: {
                        max: DecCst.STRING_SHORT_TEXT_LENGTH
                    },
                    ref: function (e) {
                        t.loginMap = e
                    }
                }
            },
            getValidations: function () {
                return this.loginMap.getValidations()
            },
            showError: function (e) {
                this.loginMap.showError(e)
            },
            hideError: function () {
                this.loginMap.hideError()
            },
            getValue: function () {
                return {
                    loginMap: this.loginMap.getValue()
                }
            }
        });
        BI.shortcut("dec.jsdjjed.feishu.app.edit_user.item.loginMap", feishuAppEditItemloginMap);

        var feishuAppEditItemAppId = BI.inherit(BI.Widget, {
            props: {
                editControll: {},
                userInfo: {}
            },
            render: function () {
                var t = this
                    , e = this.options
                    , i = e.userInfo
                    , e = e.editControll;
                return {
                    type: "dec.form.editor",
                    $value: "real-name",
                    textWidth: 90,
                    editorWidth: 420,
                    invisible: !e.enableEditInfo,
                    text: "APP ID",
                    watermark: "APP ID",
                    value: i.appId,
                    el: {
                        disabled: e.userInfoReadOnly
                    },
                    name: "appId",
                    rules: {
                        required: {
                            message: "APP ID不能为空"
                        },
                        max: DecCst.STRING_SHORT_TEXT_LENGTH
                    },
                    ref: function (e) {
                        t.appId = e
                    }
                }
            },
            getValidations: function () {
                return this.appId.getValidations()
            },
            showError: function (e) {
                this.appId.showError(e)
            },
            hideError: function () {
                this.appId.hideError()
            },
            getValue: function () {
                return {
                    appId: this.appId.getValue()
                }
            }
        });
        BI.shortcut("dec.jsdjjed.feishu.app.edit_user.item.appid", feishuAppEditItemAppId);

        var feishuAppEditItemAppSecret = BI.inherit(BI.Widget, {
            props: {
                editControll: {},
                userInfo: {}
            },
            render: function () {
                var t = this
                    , e = this.options
                    , i = e.userInfo
                    , e = e.editControll;
                return {
                    type: "dec.form.editor",
                    $value: "real-name",
                    textWidth: 90,
                    editorWidth: 420,
                    invisible: !e.enableEditInfo,
                    text: "APP Secret",
                    watermark: "APP Secret",
                    value: i.appSecret,
                    el: {
                        disabled: e.userInfoReadOnly
                    },
                    name: "appSecret",
                    rules: {
                        required: {
                            message: "APP Secret不能为空"
                        },
                        max: DecCst.STRING_SHORT_TEXT_LENGTH
                    },
                    ref: function (e) {
                        t.appSecret = e
                    }
                }
            },
            getValidations: function () {
                return this.appSecret.getValidations()
            },
            showError: function (e) {
                this.appSecret.showError(e)
            },
            hideError: function () {
                this.appSecret.hideError()
            },
            getValue: function () {
                return {
                    appSecret: this.appSecret.getValue()
                }
            }
        });
        BI.shortcut("dec.jsdjjed.feishu.app.edit_user.item.appSecret", feishuAppEditItemAppSecret);

        var feishuAppEditPopupModel = BI.inherit(Fix.Model, {
            state: function () {
                return {}
            },
            computed: {},
            actions: {
                editUser: function (t, i) {
                    var n = this
                        , e = this.options
                        , o = e.editControll
                        , s = e.info.id
                        , e = (t.id = e.info.id, t.configId = e.info.configId,
                        this._updateBaseUserInfo(o, t));
                    Dec.jsdjjed.reqEditApp(e, function (e) {
                        if (BI.isNotNull(e.errorCode))
                            return e.errorCode === DecCst.ErrorCode.HISTORY_PASSWORD_LIMIT ? BI.Msg.toast(BI.i18nText("Dec-Error_Reset_Password"), {
                                level: "error"
                            }) : BI.Msg.toast(BI.i18nText("Dec-Basic_Save_Fail"), {
                                level: "error"
                            }),
                                void i(!0);
                        t.id === Dec.personal.userId && BI.set(Dec, ["UserInfo", "displayName"], t.realName),
                            BI.Msg.toast(BI.i18nText("Dec-Basic_Success_Save"), {
                                level: "success"
                            }),
                            n.options.onEdit(t, s),
                            i(!0)
                    })
                }
            },
            _updateBaseUserInfo: function (e, t, i) {
                return e.enableEditInfo ? t : BI.extend(t, {
                    notes: null,
                    appId: null,
                    appSecret: null,
                    loginMap: null
                })
            },
            _updateRoleInfo: function (e, t, i) {
                return e.roleEditable ? t : BI.extend(t, {
                    roleIds: null
                })
            },
            _updateDepostInfo: function (e, t, i) {
                return e.depostEditable ? t : BI.extend(t, {
                    departmentPostIds: null
                })
            },
            _resetPasswordInfo: function (e, t, i) {
                return e.passwordEditable && t.resetPassword ? BI.extend(t, {
                    resetPassword: !0,
                    password: t.password
                }) : BI.extend(t, {
                    resetPassword: !1
                })
            }
        });
        BI.model("dec.model.jsdjjed.feishu.app.edit.popup", feishuAppEditPopupModel);


        var feishuAppEditPopup = BI.inherit(BI.Widget, {
            props: {
                baseCls: "dec-edit-user-popup",
                onClickConfirm: BI.emptyFn,
                info: {},
                onEdit: BI.emptyFn,
                editControll: {
                    roleEditable: !0,
                    depostEditable: !0,
                    passwordEditable: !0,
                    enableEditInfo: !0,
                    userInfoReadOnly: !1
                }
            },
            _store: function () {
                return BI.Models.getModel("dec.model.jsdjjed.feishu.app.edit.popup", this.options)
            },
            watch: {},
            render: function () {
                var e = this;
                return {
                    type: "bi.vtape",
                    items: [{
                        el: this._rebuildCenter()
                    }, {
                        type: "bi.right_vertical_adapt",
                        lgap: 10,
                        height: 44,
                        items: [{
                            type: "bi.button",
                            text: BI.i18nText("Dec-Basic_Cancel"),
                            level: "ignore",
                            handler: function () {
                                e._close()
                            }
                        }, {
                            type: "bi.button",
                            text: BI.i18nText("Dec-Basic_Sure"),
                            handler: function () {
                                e._end()
                            }
                        }]
                    }]
                }
            },
            _rebuildCenter: function () {
                var t = this
                    , i = this.options.editControll
                    , n = this.options.info
                    , e = [{
                    type: "dec.jsdjjed.feishu.app.edit_app.item.configId"
                }];
                return e.push({
                    type: "dec.jsdjjed.feishu.app.edit_user.item.notes"
                }),
                    e.push({
                        type: "dec.jsdjjed.feishu.app.edit_user.item.appid"
                    }),
                    e.push({
                        type: "dec.jsdjjed.feishu.app.edit_user.item.appSecret"
                    }),
                    e.push({
                        type: "dec.jsdjjed.feishu.app.edit_user.item.loginMap"
                    }),
                    BI.each(e, function (e, t) {
                        BI.extend(t, {
                            editControll: i,
                            userInfo: n
                        })
                    }),
                    {
                        type: "bi.vertical",
                        items: [{
                            el: {
                                type: "bi.htape",
                                cls: "bi-tips",
                                height: 36,
                                items: [{
                                    type: "bi.vertical",
                                    items: [{
                                        type: "bi.label",
                                        textAlign: "left",
                                        text: BI.i18nText("Dec-Basic_Tip") + ":"
                                    }],
                                    width: 40
                                }, {
                                    type: "bi.vertical",
                                    items: [{
                                        type: "bi.label",
                                        whiteSpace: "normal",
                                        textAlign: "left",
                                        text: "请输入有效的App ID和App Secret"
                                    }]
                                }]
                            },
                            bgap: 15
                        }, {
                            el: {
                                type: "bi.form",
                                cls: "dec-add-user-popup",
                                layouts: [{
                                    type: "bi.vertical",
                                    bgap: 15
                                }],
                                ref: function (e) {
                                    t.form = e
                                },
                                items: e
                            }
                        }]
                    }
            },
            getValue: function () {
                var i = {};
                return BI.each(this.form.getValue(), function (e, t) {
                    BI.extend(i, t)
                }),
                    i
            },
            _close: function () {
                this.fireEvent("EVENT_CLOSE")
            },
            _end: function () {
                var t = this;
                this.options;
                this.form.submit(function () {
                    t.store.editUser(t.getValue(), function (e) {
                        e && t._close()
                    })
                })
            },
            _generatePassword: function () {
                return Dec.Utils.generateRandomString(6)
            }
        });
        feishuAppEditPopup.EVENT_CLICK_CONFIRM = "EVENT_CONFIRM";
        //BI.shortcut("dec.user.edit.popup", e);
        BI.shortcut("dec.jsdjjed.feishu.app.edit.popup", feishuAppEditPopup);


        var feishuAppRowTools = BI.inherit(BI.Widget, {
            props: {
                baseCls: "dec-user-row-tools",
                enable: !0,
                info: {},
                enableEdit: !1,
                limited: !1,
                enableDelete: !1,
                enableDisable: !0,
                editControll: {}
            },
            render: function () {
                var t = this
                    , i = this.options
                    , n = i.editControll;
                return {
                    type: "bi.grid",
                    columns: 3,
                    rows: 1,
                    items: [{
                        column: 0,
                        row: 0,
                        el: {
                            type: "bi.icon_button",
                            $value: "edit-user",
                            cls: "normal-edit-font dec-user-row-tools-button",
                            title: BI.i18nText("Dec-Basic_Edit"),
                            stopPropagation: !0,
                            invisible: !n.enableEdit,
                            handler: function () {
                                var e = {
                                    type: "dec.jsdjjed.feishu.app.edit.popup",
                                    onClickConfirm: function (e, t) {
                                        i.onEdit(e, t)
                                    },
                                    onEdit: i.onEdit,
                                    info: i.infoGetter(),
                                    editControll: n,
                                    listeners: [{
                                        eventName: "EVENT_CLOSE",
                                        action: function () {
                                            BI.Popovers.remove(t.getName() + "edit")
                                        }
                                    }]
                                };
                                BI.Popovers.create(t.getName() + "edit", {
                                    type: "bi.popover",
                                    header: "编辑飞书应用",
                                    body: e,
                                    width: 550,
                                    height: 500,
                                    listeners: [{
                                        eventName: "EVENT_CLOSE",
                                        action: function () {
                                            BI.Popovers.remove(t.getName() + "edit")
                                        }
                                    }]
                                }).open(t.getName() + "edit")
                            }
                        }
                    }, {
                        column: 1,
                        row: 0,
                        el: {
                            type: "bi.center_adapt",
                            invisible: !n.enableDisable,
                            items: [{
                                type: "dec.bubble.combo",
                                disabled: i.limited,
                                el: {
                                    type: "bi.icon_change_button",
                                    $testId: "dec-icon-button",
                                    $value: i.enable ? "disable-user" : "enable-user",
                                    iconCls: "dec-user-row-tools-button " + (i.enable ? "disable-user-font" : "enable-user-font"),
                                    ref: function (e) {
                                        t.iconChangeButton = e
                                    },
                                    title: function () {
                                        return i.enable ? "禁用登录验证" : "启用登录验证"
                                    },
                                    selected: !!i.enable
                                },
                                text: function () {
                                    return i.enable ? "确认禁用该登录验证?" : "确认启用该登录验证?"
                                },
                                onClickConfirm: function () {
                                    i.enable = !i.enable;
                                    t.iconChangeButton.setIcon(i.enable ? "disable-user-font" : "enable-user-font");
                                    i.onDisable(i.enable);
                                    this.hideView();
                                }
                            }]
                        }
                    }, {
                        column: 2,
                        row: 0,
                        el: {
                            type: "bi.center_adapt",
                            invisible: !n.enableDelete,
                            items: [{
                                type: "dec.bubble.combo",
                                disabled: i.limited,
                                el: {
                                    type: "bi.icon_button",
                                    $value: "delete-user",
                                    cls: "delete-user-font dec-user-row-tools-button",
                                    title: BI.i18nText("Dec-Basic_Delete")
                                },
                                text: "确认删除该应用?",
                                onClickConfirm: function () {
                                    this.hideView(),
                                        i.onDelete()
                                }
                            }]
                        }
                    }]
                }
            }
        });
        feishuAppRowTools.EVENT_DELETE = "EVENT_DELETE";
        //BI.shortcut("dec.user.row.tools", e)
        BI.shortcut("dec.jsdjjed.feishu.app.row.tools", feishuAppRowTools);

        var feishuAppTableRow = BI.inherit(BI.Widget, {
            props: {
                baseCls: "dec-user-table-row bi-border-bottom",
                columnSize: [50, "fill", 100],
                userInfo: {},
                value: BI.UUID()
            },
            _store: function () {
                return BI.Models.getModel("dec.model.jsdjjed.feishu.app.all.row", this.options)
            },
            watch: {
                selected: function (e) {
                    this.setSelected(e)
                }
            },
            render: function () {
                var e = this.options;
                return {
                    type: "bi.htape",
                    $testId: "dec-user-table-row",
                    $value: e.userInfo.username,
                    columnSize: e.columnSize,
                    items: this._formatItem(e.userInfo)
                }
            },
            _formatItem: function (e) {
                var t = this
                    , i = this.options
                    , n = []
                    , o = this.model.keywordMap;
                return n.push({
                    type: "bi.center_adapt",
                    width: 50,
                    height: i.height,
                    items: [{
                        type: "bi.checkbox",
                        $testId: "dec-user-row-checkbox",
                        $value: e.username,
                        ref: function (e) {
                            t.checkbox = e
                        },
                        disabled: !e.enableCheck,
                        selected: e.selected,
                        listeners: [{
                            eventName: "EVENT_CHANGE",
                            action: function () {
                                t.store.changeSelected(this.isSelected())
                            }
                        }]
                    }]
                }),
                    n.push({
                        el: {
                            type: "bi.htape",
                            height: i.height,
                            scrollable: !1,
                            disabled: !e.enable,
                            items: [{
                                el: {
                                    type: "bi.label",
                                    ref: function (e) {
                                        t.configId = e
                                    },
                                    scrollable: !1,
                                    textAlign: "left",
                                    text: e.configId,
                                    $testId: "dec-user-row-username",
                                    $value: e.configId,
                                    keyword: o.configId,
                                    title: function () {
                                        return e.configId
                                    },
                                    rgap: 10,
                                    height: i.height
                                },
                                width: .15
                            }, {
                                el: {
                                    type: "bi.label",
                                    ref: function (e) {
                                        t.notes = e
                                    },
                                    scrollable: !1,
                                    textAlign: "left",
                                    text: e.notes,
                                    $testId: "dec-user-row-real-name",
                                    $value: e.notes,
                                    keyword: o.notes,
                                    title: function () {
                                        return e.notes
                                    },
                                    rgap: 10,
                                    height: i.height
                                },
                                width: .2
                            }, {
                                el: {
                                    type: "bi.label",
                                    ref: function (e) {
                                        t.appId = e
                                    },
                                    textAlign: "left",
                                    text: e.appId,
                                    $testId: "dec-user-row-depost-names",
                                    $value: e.appId,
                                    title: function () {
                                        return e.appId
                                    },
                                    rgap: 10,
                                    height: i.height
                                },
                                width: .15
                            }, {
                                el: {
                                    type: "bi.label",
                                    ref: function (e) {
                                        t.appSecret = e
                                    },
                                    textAlign: "left",
                                    text: e.appSecret,
                                    $testId: "dec-user-row-role-names",
                                    $value: e.appSecret,
                                    title: function () {
                                        return e.appSecret
                                    },
                                    rgap: 10,
                                    height: i.height
                                },
                                width: .15
                            }, {
                                el: {
                                    type: "bi.label",
                                    ref: function (e) {
                                        t.loginMap = e
                                    },
                                    scrollable: !1,
                                    textAlign: "left",
                                    text: e.loginMap,
                                    $testId: "dec-user-row-real-name",
                                    $value: e.loginMap,
                                    keyword: o.loginMap,
                                    title: function () {
                                        return e.loginMap
                                    },
                                    rgap: 10,
                                    height: i.height
                                },
                                width: .15
                            },
                                {
                                    el: {
                                        type: "bi.label",
                                        ref: function (e) {
                                            t.enable = e
                                        },
                                        textAlign: "left",
                                        text: e.enable ? BI.i18nText("Dec-User_Enabled") : BI.i18nText("Dec-User_Disabled"),
                                        $testId: "dec-user-row-enable",
                                        $value: e.enable,
                                        rgap: 10,
                                        height: i.height
                                    },
                                    width: .07
                                }]
                        }
                    }),
                    (n = BI.concat(n, this._createExtraItems(e))).push(BI.extend({}, e, {
                        type: "dec.jsdjjed.feishu.app.row.tools",
                        width: 100,
                        $scope: e.username,
                        infoGetter: function () {
                            return e
                        },
                        onDelete: function () {
                            t.options.onDelete([e.id])
                        },
                        onEdit: i.onEdit,
                        onDisable: function (e) {
                            t.store.disableUser(e, t.getValue())
                        }
                    })),
                    n
            },
            _createExtraItems: function (i) {
                var n = []
                    , e = BI.Providers.getProvider("dec.provider.all_user").getExtraAttributes();
                return BI.each(e, function (e, t) {
                    BI.isKey(t.column) ? n.push(BI.extend({
                        type: t.column,
                        width: t.width
                    }, i)) : BI.isFunction(t.column) ? n.push(BI.extend({
                        width: t.width
                    }, t.column(i))) : n.push({
                        type: "bi.layout",
                        width: t.width
                    })
                }),
                    n
            },
            isSelected: function () {
                return this.checkbox.isSelected()
            },
            getValue: function () {
                return this.options.userInfo.id
            },
            setSelected: function (e) {
                this.options.userInfo.enableCheck && this.checkbox.setSelected(e)
            }
        });
        feishuAppTableRow.EVENT_DELETE = "EVENT_DELETE";
        //BI.shortcut("dec.user.table.row", feishuAppTableRow);
        BI.shortcut("dec.jsdjjed.feishu.app.table.row", feishuAppTableRow);


        var feishuAppAddPopupModel = BI.inherit(Fix.Model, {
            state: function () {
                return {}
            },
            computed: {
                passwordValue: function () {
                    return this.options.passwordEditable ? "" : "123456"
                }
            },
            actions: {
                addApp: function (e, t) {
                    function i() {
                        Dec.jsdjjed.reqAddApp(e, function (e) {
                            t(e)
                        })
                    }

                    BI.isFunction(this.options.beforeAddUser) ? this.options.beforeAddUser(i) : i()
                }
            }
        });
        //BI.model("dec.model.user.add.popup", e);
        BI.model("dec.model.jsdjjed.feishu.app.add.popup", feishuAppAddPopupModel);


        var feishuAppAddPopup = BI.inherit(BI.Widget, {
            props: {
                baseCls: "dec-add-user-popup",
                passwordEditable: !0,
                cleanDataSet: !1
            },
            _store: function () {
                return BI.Models.getModel("dec.model.jsdjjed.feishu.app.add.popup", this.options)
            },
            watch: {},
            render: function () {
                var e = this;
                return {
                    type: "bi.vtape",
                    items: [{
                        el: this.rebuildCenter()
                    }, {
                        type: "bi.right_vertical_adapt",
                        height: 44,
                        lgap: 10,
                        items: [{
                            type: "bi.button",
                            text: BI.i18nText("Dec-Basic_Cancel"),
                            level: "ignore",
                            handler: function () {
                                e.close()
                            }
                        }, {
                            type: "bi.button",
                            text: BI.i18nText("Dec-Basic_Sure"),
                            handler: function () {
                                e.end()
                            }
                        }]
                    }]
                }
            },
            rebuildCenter: function () {
                var t = this
                    , e = this.options
                    , i = {
                        type: "dec.form.editor",
                        $value: "configId",
                        textWidth: 90,
                        text: "应用唯一标识",
                        watermark: BI.i18nText("Dec-Please_Input"),
                        editorWidth: 420,
                        rules: {
                            required: {
                                message: "应用唯一标识不能为空"
                            },
                            max: DecCst.STRING_SHORT_TEXT_LENGTH
                        },
                        ref: function (e) {
                            t.configId = e
                        }
                    }
                    , n = {
                        type: "dec.form.editor",
                        $value: "notes",
                        textWidth: 90,
                        text: "应用说明",
                        watermark: BI.i18nText("Dec-Please_Input"),
                        editorWidth: 420,
                        rules: {
                            max: DecCst.STRING_SHORT_TEXT_LENGTH
                        },
                        ref: function (e) {
                            t.notes = e
                        }
                    }
                    , e = {
                        type: "dec.form.editor",
                        $value: "appId",
                        textWidth: 90,
                        text: "App ID",
                        watermark: BI.i18nText("Dec-Please_Input"),
                        editorWidth: 420,
                        rules: {
                            required: {
                                message: "App ID不能为空"
                            },
                            max: DecCst.STRING_SHORT_TEXT_LENGTH
                        },
                        ref: function (e) {
                            t.appId = e
                        }
                    }
                    , o = {
                        type: "dec.form.editor",
                        $value: "appSecret",
                        textWidth: 90,
                        text: "App Secret",
                        watermark: BI.i18nText("Dec-Please_Input"),
                        editorWidth: 420,
                        rules: {
                            required: {
                                message: "App Secret不能为空"
                            },
                            max: DecCst.STRING_SHORT_TEXT_LENGTH
                        },
                        ref: function (e) {
                            t.appSecret = e
                        }
                    },

                    n1 = {
                        type: "dec.form.editor",
                        $value: "loginMap",
                        textWidth: 90,
                        text: "单点映射字段",
                        watermark: BI.i18nText("Dec-Please_Input"),
                        editorWidth: 420,
                        rules: {
                            max: DecCst.STRING_SHORT_TEXT_LENGTH
                        },
                        ref: function (e) {
                            t.loginMap = e
                        }
                    }
                ;
                return {
                    type: "bi.form",
                    cls: "dec-add-user-popup",
                    layouts: [{
                        type: "bi.vertical",
                        bgap: 15
                    }],
                    ref: function (e) {
                        t.form = e
                    },
                    items: [{
                        type: "bi.htape",
                        cls: "bi-tips",
                        height: 36,
                        items: [{
                            type: "bi.vertical",
                            items: [{
                                type: "bi.label",
                                textAlign: "left",
                                text: BI.i18nText("Dec-Basic_Tip") + ":"
                            }],
                            width: 40
                        }, {
                            type: "bi.vertical",
                            items: [{
                                type: "bi.label",
                                whiteSpace: "normal",
                                textAlign: "left",
                                text: "请输入有效的App ID和App Secret"
                            }]
                        }]
                    }, i, n, e, o, n1]
                }
            },
            getValue: function () {
                return BI.extend({
                    configId: this.configId.getValue(),
                    notes: this.notes.getValue(),
                    appId: this.appId.getValue(),
                    appSecret: this.appSecret.getValue(),
                    loginMap: this.loginMap.getValue()
                })
            },
            close: function () {
                this.fireEvent(i.EVENT_CLOSE)
            },
            end: function () {
                var t = this;
                this.form.submit(function () {
                    t.store.addApp(t.getValue(), function (e) {
                        if (e.status && e.status === "success") {
                            t.fireEvent(feishuAppAddPopup.EVENT_CLICK_CONFIRM);
                            return;
                        }
                        var msg = e.msg;
                        if (e.errorCode && e.errorMsg) {
                            msg = "内部错误,请核实日志";
                        }
                        BI.Msg.toast(msg, {level: "error"});
                    })
                })
            }
        });
        feishuAppAddPopup.EVENT_CLICK_CONFIRM = "EVENT_CONFIRM";
        feishuAppAddPopup.EVENT_CLOSE = "EVENT_CLOSE";
        BI.shortcut("dec.jsdjjed.feishu.app.add.popup", feishuAppAddPopup);


        var feishuAppAdd = BI.inherit(BI.Widget, {
            props: {
                baseCls: ""
            },
            _store: function () {
                return BI.Models.getModel("dec.model.users.operations.add")
            },
            watch: {
                addButtonVisible: function (e) {
                    this.addBtn.setVisible(e)
                }
            },
            render: function () {
                var t = this;
                return {
                    type: "bi.icon_text_item",
                    value: "add",
                    logic: {
                        dynamic: !0
                    },
                    $point: "dec-users-operations-add",
                    text: "添加飞书应用",
                    height: 24,
                    cls: "add-user-font operation-item",
                    invisible: !this.model.addButtonVisible,
                    handler: function () {
                        t._createAddLayer()
                    },
                    ref: function (e) {
                        t.addBtn = e
                    }
                }
            },
            _createAddLayer: function (e) {
                var t = this
                    , e = {
                    type: "dec.jsdjjed.feishu.app.add.popup",
                    passwordEditable: this.model.passwordEditable,
                    beforeAddUser: e,
                    listeners: [{
                        eventName: "EVENT_CLOSE",
                        action: function () {
                            BI.Popovers.remove(t.getName() + "add")
                        }
                    }, {
                        eventName: "EVENT_CONFIRM",
                        action: function () {
                            t.fireEvent("EVENT_CHANGE"),
                                BI.Popovers.remove(t.getName() + "add")
                        }
                    }]
                };
                BI.Popovers.create(t.getName() + "add", {
                    type: "bi.popover",
                    header: "添加飞书应用",
                    body: e,
                    width: 550,
                    height: 500,
                    listeners: [{
                        eventName: "EVENT_CLOSE",
                        action: function () {
                            BI.Popovers.remove(t.getName() + "add")
                        }
                    }]
                }).open(t.getName() + "add")
            }
        });
        BI.shortcut("dec.jsdjjed.feishu.app.operations.add", feishuAppAdd);

        var feishuAppTableHeaders = [{
            type: "bi.label",
            text: "应用唯一标识",
            fieldName: "userAlias",
            width: .15
        }, {
            type: "bi.label",
            text: "应用说明",
            fieldName: "realAlias",
            width: .2
        }, {
            type: "bi.label",
            text: "App ID",
            width: .15
        }, {
            type: "bi.label",
            text: "App Secret",
            width: .15
        }, {
            type: "bi.label",
            text: "单点映射字段",
            width: .15
        }, {
            type: "dec.user.table.header.enable",
            text: "登录验证",
            width: .07
        }];
        //BI.constant("dec.constant.user.table.headers", e);
        BI.constant("dec.constant.jsdjjed.feishu.app.table.headers", feishuAppTableHeaders);

        var feishuAppTable = BI.inherit(BI.Widget, {
            props: {
                baseCls: "dec-user-table",
                $testId: "dec-user-table",
                columnSize: [50, "fill", 100],
                headerRowSize: 32,
                rowSize: 36,
                pager: {},
                perPage: 10,
                header: [],
                items: []
            },
            _store: function () {
                return BI.Models.getModel("dec.model.user.all.table")
            },
            watch: {
                isAllChecked: function () {
                    this.header.setSelected(this.model.isAllChecked)
                }
            },
            render: function () {
                var i = this
                    , t = this.options;
                return {
                    type: "bi.vertical",
                    items: [{
                        type: "dec.user.table.header",
                        ref: function (e) {
                            i.header = e
                        },
                        columnSize: t.columnSize,
                        items: BI.Constants.getConstant("dec.constant.jsdjjed.feishu.app.table.headers"),
                        height: t.headerRowSize,
                        onSortChange: function (e, t) {
                            i.store.onSortChange(e, t)
                        },
                        listeners: [{
                            eventName: BI.Controller.EVENT_CHANGE,
                            action: function (e, t) {
                                i.store.handleCheckAll(t)
                            }
                        }]
                    }, {
                        type: "bi.button_group",
                        ref: function (e) {
                            i.table = e
                        },
                        chooseType: 1,
                        layouts: [{
                            type: "bi.vertical"
                        }],
                        items: []
                    }, {
                        el: {
                            type: "dec.pager",
                            ref: function (e) {
                                i.pager = e
                            },
                            height: 30,
                            listeners: [{
                                eventName: "EVENT_CHANGE",
                                action: function () {
                                    var e = this.getCurrentPage && this.getCurrentPage();
                                    t.itemsCreator({
                                        page: e
                                    }, function (e) {
                                        i.populate(e)
                                    })
                                }
                            }]
                        },
                        vgap: 10
                    }]
                }
            },
            _formatItems: function (e) {
                var i = this
                    , n = this.options;
                return BI.map(e, function (e, t) {
                    return {
                        type: "dec.jsdjjed.feishu.app.table.row",
                        id: t.id,
                        cls: BI.isOdd(e) ? "odd" : "even",
                        userInfo: t,
                        columnSize: n.columnSize,
                        height: n.rowSize,
                        onDelete: function (e) {
                            i.fireEvent(feishuAppTable.EVENT_DELETE, e)
                        },
                        onEdit: n.onEdit
                    }
                })
            },
            setCount: function (e) {
                this.pager.setCount(e),
                    this.setAllPages(Math.ceil(e / this.options.perPage))
            },
            setAllPages: function (e) {
                this.pager.setAllPages(e)
            },
            setPage: function (e) {
                this.pager.setPage(e)
            },
            getValue: function () {
                return this.table.getValue()
            },
            empty: function () {
                this.header.setSelected(!1)
            },
            populate: function (e) {
                this.table.populate(this._formatItems(e))
            }
        });
        feishuAppTable.EVENT_DELETE = "EVENT_DELETE";
        BI.shortcut("dec.jsdjjed.feishu.app.table", feishuAppTable);


        var feishuAppModel = BI.inherit(Fix.Model, {
                state: function () {
                    return {
                        rows: [],
                        allCount: 0,
                        currentPage: 0,
                        isAllChecked: !1,
                        sortBy: "userAlias",
                        asc: !0,
                        filter: {
                            searchBy: "",
                            keyword: ""
                        },
                        enable: DecCst.User.Available.ALL,
                        syncSourceType: 0,
                        syncConfigs: {
                            turnOn: !1,
                            strategy: DecCst.User.SyncUserStrategy.FULL_COVER
                        },
                        perPage: 1e3,
                        selectedValues: [],
                        creationType: DecCst.User.CreationType.ALL
                    }
                },
                childContext: ["rows", "currentPage", "allCount", "isAllChecked", "sortBy", "asc", "filter", "enable", "syncSourceType", "syncConfigs", "perPage", "selectedValues", "creationType"],
                context: ["userManagementConfigs"],
                computed: {
                    allPages: function () {
                        return Math.ceil(this.model.allCount / this.model.perPage)
                    },
                    searching: function () {
                        return BI.isKey(this.model.filter.keyword)
                    }
                },
                watch: {
                    "sortBy || asc": function () {
                        this.initData()
                    },
                    "filter.keyword || creationType": function () {
                        this.initData()
                    },
                    enable: function () {
                        this.initData()
                    },
                    perPage: function () {
                        this.initData()
                    }
                },
                created: function () {
                    this._bindEvents()
                },
                destroyed: function () {
                    this._releaseEvents()
                },
                actions: {
                    initConfigs: function (e) {
                        var t = this,
                            i = BI.after(2, function () {
                                BI.isFunction(e) && e()
                            });

                        t.model.syncSourceType = 0;
                        var tempData = '{"data":{"turnOn":false,"rate":43200,"schedule":{"type":"2","cron":"","rate":43200,"unit":1},"dataSetName":"","usernameColumn":-1,"userIdColumn":-1,"realNameColumn":-1,"passwordColumn":-1,"encryption":0,"customEncrypt":"","departmentColumn":-1,"departmentIdColumn":-1,"postColumn":-1,"postIdColumn":-1,"roleColumn":-1,"roleIdColumn":-1,"emailColumn":-1,"mobileColumn":-1,"keepOtherSourceSameData":true,"strategy":0,"sourceConflictStrategy":1,"syncSource":{"@class":"com.fr.decision.sync.source.impl.DefaultSyncSource","type":0}}}';
                        var tempJson = JSON.parse(tempData);
                        BI.extend(t.model.syncConfigs, tempJson.data);
                        i();

                        /*Dec.jsdjjed.getSyncSource(null, function (e) {
                            e = e.data.type;
                            t.model.syncSourceType = e;
                            //e = BI.Services.getService("dec.service.users.sync").getSyncSourceInfo(e, !0);
                            //e && e.service.getSyncConfigs(function (e) {
                            BI.extend(t.model.syncConfigs, e.data),
                                i()
                        })
                    }),*/
                        BI.Services.getService("dec.service.global").initUsebleModules(i);
                    },
                    initData: function () {
                        var t = this;
                        this.resetState(),
                            Dec.jsdjjed.reqAppsByPage({
                                page: 1,
                                sortBy: this.model.sortBy,
                                asc: this.model.asc,
                                count: this.model.perPage,
                                keyword: this.model.filter.keyword,
                                searchBy: this.model.filter.searchBy,
                                enable: this.model.enable,
                                creationType: this.model.creationType
                            }, function (e) {
                                t._injectUserAttributes(e.data.items, function () {
                                    t.model.allCount = e.data.total,
                                        t.model.currentPage = e.data.page,
                                        t.model.rows = t._packageRows(e.data.items)
                                })
                            })
                    }

                    ,
                    getUsersByPage: function (e) {
                        var t = this;
                        this.resetState(),
                            Dec.jsdjjed.reqAppsByPage({
                                page: e,
                                sortBy: this.model.sortBy,
                                count: this.model.perPage,
                                asc: this.model.asc,
                                keyword: this.model.filter.keyword,
                                searchBy: this.model.filter.searchBy,
                                enable: this.model.enable,
                                creationType: this.model.creationType
                            }, function (e) {
                                t._injectUserAttributes(e.data.items, function () {
                                    t.model.rows = t._packageRows(e.data.items),
                                        t.model.allCount = e.data.total,
                                        t.model.currentPage = e.data.page
                                })
                            })
                    }
                    ,
                    deleteUsers: function (e) {
                        var t = this;
                        Dec.jsdjjed.deleteAppsByIds(e, function (e) {
                            t.onDeleteUsers(e)
                        })
                    }
                    ,
                    onEditUser: function (e, t) {
                        this.initData()
                    }
                    ,
                    onDeleteUsers: function (e) {
                        e.data.count === this.model.rows.length ? this.getUsersByPage(1 === this.model.currentPage ? 1 : this.model.currentPage - 1) : this.getUsersByPage(this.model.currentPage)
                    }
                    ,
                    onClearUsers: function () {
                        this.model.isAllChecked = !1,
                            this.model.selectedValues = [],
                            this.model.allCount = 0,
                            this.model.rows = [],
                            this.model.currentPage = 1,
                            this.initData()
                    }
                    ,
                    updateUserListHeight: function (e) {
                        this.model.perPage = BI.max([2, Math.floor(e / 36)])
                    }
                    ,
                    resetState: function () {
                        this.model.isAllChecked = !1,
                            this.model.selectedValues = []
                    }
                    ,
                    changeUserSource: function (e) {
                        this.model.creationType = e
                    }
                },
                _packageRows: function (e) {
                    var o = this
                        , s = BI.Services.getService("dec.service.global");
                    return BI.each(e, function (e, t) {
                        var i = t.creationType === DecCst.User.CreationType.SYNC
                            , n = {};
                        t.keyword = o.model.filter.keyword,
                            t.limited = BI.Services.getService("dec.service.user.management").isLimitedUser(t),
                            t.enableCheck = !i && !t.limited,
                            n.enableEdit = s.checkModulesUseable("decision-management-user-edit"),
                            n.enableEditInfo = s.checkModulesUseable("decision-management-user-edit-edit-info"),
                            n.userInfoReadOnly = i && o.model.syncConfigs.strategy === DecCst.User.SyncUserStrategy.FULL_COVER,
                            n.enableDelete = s.checkModulesUseable("decision-management-user-delete") && !i,
                            n.enableDisable = s.checkModulesUseable("decision-management-user-forbidden"),
                            n.roleEditable = n.depostEditable = s.checkModulesUseable("decision-management-user-edit-dep-role"),
                            n.passwordEditable = s.checkModulesUseable("decision-management-user-edit-reset-password") && (i ? o.model.userManagementConfigs.syncOperationType.type === DecCst.System.Info.AuthenticType.DEFAULT && o.model.syncConfigs.strategy === DecCst.User.SyncUserStrategy.INCREMENTAL_UPDATE : o.model.userManagementConfigs.manualOperationType.type === DecCst.System.Info.AuthenticType.DEFAULT),
                            t.editControll = n
                    }),
                        BI.remove(e, function (e, t) {
                            return BI.Services.getService("dec.service.user.management").checkAdmin(t)
                        }),
                        e
                }
                ,
                _injectUserAttributes: function (i, e) {
                    var n, t = BI.Providers.getProvider("dec.provider.all_user").getExtraAttributes();
                    BI.isEmptyArray(t) ? e() : (n = BI.after(t.length, e),
                        BI.each(t, function (e, t) {
                            t.attributeGetter(i, n)
                        }))
                }
                ,
                _bindEvents: function () {
                    var e = this;
                    this.unListen = BI.Services.getService("dec.service.user.all_users").on("EVENT_REFRESH", function () {
                        e.initData()
                    })
                }
                ,
                _releaseEvents: function () {
                    this.unListen && this.unListen()
                }
            })
        ;
        BI.model("dec.model.jsdjjed.feishu.app", feishuAppModel);

        var feishuApp = BI.inherit(BI.Pane, {
            props: {
                baseCls: "dec-user-all bi-card"
            },
            _store: function () {
                return BI.Models.getModel("dec.model.jsdjjed.feishu.app")
            },
            watch: {
                rows: function (e) {
                    this.populate(e)
                },
                allPages: function () {
                    this.table.setAllPages(this.model.allPages)
                },
                currentPage: function (e) {
                    this.table.setPage(e)
                },
                searching: function (e) {
                    this.userSourceRow.setVisible(!e)
                },
                creationType: function (e) {
                    this.userSourceCombo.setValue(e)
                }
            },
            beforeRender: function (e) {
                var t = this;
                this.loading(),
                    this.store.initConfigs(function () {
                        t.loaded(),
                            e()
                    })
            },
            mounted: function () {
                var e = this;
                this.store.updateUserListHeight(this._calculateUserListHeight()),
                    BI.Resizers.add(this.getName(), function () {
                        e.store.updateUserListHeight(e._calculateUserListHeight())
                    })
            },
            render: function () {
                var i = this
                    , e = {
                    type: "bi.button_group",
                    ref: function (e) {
                        i.toolbar = e
                    },
                    layouts: [{
                        type: "bi.vertical_adapt",
                        rgap: 15
                    }],
                    items: this._createOperations()
                }
                    , t = {
                    type: "dec.jsdjjed.feishu.app.table",
                    ref: function (e) {
                        i.table = e
                    },
                    itemsCreator: function (e, t) {
                        i.store.getUsersByPage(e.page, t)
                    },
                    perPage: this.model.perPage,
                    listeners: [{
                        eventName: "EVENT_DELETE",
                        action: function (e) {
                            i.store.deleteUsers(e)
                        }
                    }],
                    onEdit: BI.bind(this.store.onEditUser, this.store)
                };
                return {
                    type: "bi.vtape",
                    hgap: 10,
                    items: [{
                        type: "bi.absolute",
                        height: 40,
                        items: [{
                            el: e,
                            top: 0,
                            left: 0,
                            bottom: 0
                        }]
                    }, {
                        el: t
                    }]
                }
            },
            _createOperations: function () {
                var n = this;
                return BI.map(
                    //BI.Constants.getConstant("dec.constant.user.all.operations")
                    [{
                        value: "add",
                        type: "dec.jsdjjed.feishu.app.operations.add",
                        actions: ["initConfigs", "initData"]
                    }]

                    , function (e, t) {
                        return BI.extend({
                            listeners: [{
                                eventName: "EVENT_CHANGE",
                                action: function () {
                                    var i = arguments;
                                    BI.each(t.actions, function (e, t) {
                                        n.store[t].apply(n.store, i)
                                    })
                                }
                            }],
                            rgap: 20
                        }, t)
                    })
            },
            _calculateUserListHeight: function () {
                return this.element.height() - 40 - 82
            },
            beforeDestroy: function () {
                BI.Resizers.remove(this.getName())
            },
            populate: function (e) {
                this.table.populate(e)
            },
            initData: function () {
                this.store.initData()
            }
        });
        BI.shortcut("dec.jsdjjed.feishu.app", feishuApp);


        var feishuAppConfigModel = BI.inherit(Fix.Model, {
            state: function () {
                return {
                    normalConfig: {},
                    beforeConfig: {}
                }
            },
            childContext: ["normalConfig"],
            computed: {
                encodingArray: function () {
                    return this.model.normalConfig.encodingArray
                }
            },
            actions: {
                initPage: function (t) {
                    var i = this;
                    Dec.jsdjjed.getAppConfig(function (e) {
                        i.model.normalConfig = e,
                            i.model.beforeConfig = BI.deepClone(e),
                            t()
                    })
                },
                saveNormal: function (e, i) {
                    var n = this;
                    BI.isDeepMatch(n.model.beforeConfig, e) || Dec.jsdjjed.saveAppConfig(e, function (t) {
                        Dec.jsdjjed.getAppConfig(function (e) {
                            i(t, BI.deepClone(e), n.model.beforeConfig),
                                n.model.beforeConfig = e
                        })
                    })
                },
                configExternalDatabase: function () {
                    BI.history.navigate("management/system/migration", {
                        trigger: !0
                    })
                },
                switchingEncryptionAlgorithm: function () {
                    BI.history.navigate("management/system/encryption", {
                        trigger: !0
                    })
                }
            }
        });
        BI.model("dec.model.jsdjjed.feishu.app.config", feishuAppConfigModel);
        var feishuAppConfig = BI.inherit(BI.Widget, {
            props: {
                baseCls: "dec-system-normal-decision bi-card"
            },
            _store: function () {
                return BI.Models.getModel("dec.model.jsdjjed.feishu.app.config")
            },
            beforeInit: function (e) {
                this.store.initPage(e)
            },
            watch: {},
            render: function () {
                var n = this;
                var e = this.model.normalConfig;
                var editorConfig = {textWidth: 160, editorWidth: 200, codeWidth: 150, codeHeight: 24, versionWidth: 50};
                return {
                    type: "bi.vertical",
                    hgap: 10,
                    items: [{
                        type: "dec.card.vertical",
                        text: "常规参数　　　　　　　　　　　　　　　　　　　　　　　　　　启用ECSB　　　　　服务编码　　　　　版本号",
                        content: {
                            type: "bi.horizontal",
                            items: [{
                                el: {
                                    type: "bi.vertical",
                                    width: 700,
                                    vgap: 10,
                                    items: [{
                                        type: "dec.label.editor.item",
                                        textWidth: editorConfig.textWidth,
                                        cls: "dec-font-weight-bold",
                                        text: "报表地址:",
                                        value: e.frUrl,
                                        editorWidth: editorConfig.editorWidth,
                                        ref: function (e) {
                                            n.frUrlItem = e
                                        }
                                    },
                                        {
                                            type: "bi.vertical_adapt",
                                            items: [{
                                                type: "dec.label.editor.item",
                                                textWidth: editorConfig.textWidth,
                                                cls: "dec-font-weight-bold",
                                                text: "获取app_access_token地址:",
                                                value: e.accessTokenUrl,
                                                editorWidth: editorConfig.editorWidth,
                                                ref: function (e) {
                                                    n.accessTokenUrlItem = e
                                                }
                                            }, {
                                                type: "dec.switch_button",
                                                value: e.accessTokenUrlEscbOption,
                                                hgap: 10,
                                                ref: function (e) {
                                                    n.accessTokenUrlEscbOptionSwitcher = e
                                                }
                                            },
                                                {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    ref: function (e) {
                                                        n.accessTokenUrlEscbCodeEditor = e
                                                    },
                                                    value: e.accessTokenUrlEscbCode,
                                                    allowBlank: !0,
                                                    width: editorConfig.codeWidth,
                                                    height: editorConfig.codeHeight,
                                                }, {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    hgap: 10,
                                                    ref: function (e) {
                                                        n.accessTokenUrlEscbVersionEditor = e
                                                    },
                                                    value: e.accessTokenUrlEscbVersion,
                                                    allowBlank: !0,
                                                    width: editorConfig.versionWidth,
                                                    height: editorConfig.codeHeight,
                                                }
                                            ]
                                        },
                                        {
                                            type: "bi.vertical_adapt",
                                            items: [{
                                                type: "dec.label.editor.item",
                                                textWidth: editorConfig.textWidth,
                                                cls: "dec-font-weight-bold",
                                                text: "根据code获取用户信息地址:",
                                                value: e.codeUserUrl,
                                                editorWidth: editorConfig.editorWidth,
                                                ref: function (e) {
                                                    n.codeUserUrlItem = e
                                                }
                                            }, {
                                                type: "dec.switch_button",
                                                value: e.codeUserUrlEscbOption,
                                                hgap: 10,
                                                ref: function (e) {
                                                    n.codeUserUrlEscbOptionSwitcher = e
                                                }
                                            },
                                                {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    ref: function (e) {
                                                        n.codeUserUrlEscbCodeEditor = e
                                                    },
                                                    value: e.codeUserUrlEscbCode,
                                                    allowBlank: !0,
                                                    width: editorConfig.codeWidth,
                                                    height: editorConfig.codeHeight,
                                                }, {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    hgap: 10,
                                                    ref: function (e) {
                                                        n.codeUserUrlEscbVersionEditor = e
                                                    },
                                                    value: e.codeUserUrlEscbVersion,
                                                    allowBlank: !0,
                                                    width: editorConfig.versionWidth,
                                                    height: editorConfig.codeHeight,
                                                }
                                            ]
                                        }
                                        ,
                                        {
                                            type: "bi.vertical_adapt",
                                            items: [{
                                                type: "dec.label.editor.item",
                                                textWidth: editorConfig.textWidth,
                                                cls: "dec-font-weight-bold",
                                                text: "获取群列表地址:",
                                                value: e.chatGroupsUrl,
                                                editorWidth: editorConfig.editorWidth,
                                                ref: function (e) {
                                                    n.chatGroupsUrlItem = e
                                                }
                                            }, {
                                                type: "dec.switch_button",
                                                value: e.chatGroupsUrlEscbOption,
                                                hgap: 10,
                                                ref: function (e) {
                                                    n.chatGroupsUrlEscbOptionSwitcher = e
                                                }
                                            },
                                                {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    ref: function (e) {
                                                        n.chatGroupsUrlEscbCodeEditor = e
                                                    },
                                                    value: e.chatGroupsUrlEscbCode,
                                                    allowBlank: !0,
                                                    width: editorConfig.codeWidth,
                                                    height: editorConfig.codeHeight,
                                                }, {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    hgap: 10,
                                                    ref: function (e) {
                                                        n.chatGroupsUrlEscbVersionEditor = e
                                                    },
                                                    value: e.chatGroupsUrlEscbVersion,
                                                    allowBlank: !0,
                                                    width: editorConfig.versionWidth,
                                                    height: editorConfig.codeHeight,
                                                }
                                            ]
                                        },
                                        {
                                            type: "bi.vertical_adapt",
                                            items: [{
                                                type: "dec.label.editor.item",
                                                textWidth: editorConfig.textWidth,
                                                cls: "dec-font-weight-bold",
                                                text: "获取用户ID:",
                                                title: "使用手机号或邮箱获取用户ID",
                                                value: e.usersUrl,
                                                editorWidth: editorConfig.editorWidth,
                                                ref: function (e) {
                                                    n.usersUrlItem = e
                                                }
                                            }, {
                                                type: "dec.switch_button",
                                                value: e.usersUrlEscbOption,
                                                hgap: 10,
                                                ref: function (e) {
                                                    n.usersUrlEscbOptionSwitcher = e
                                                }
                                            },
                                                {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    ref: function (e) {
                                                        n.usersUrlEscbCodeEditor = e
                                                    },
                                                    value: e.usersUrlEscbCode,
                                                    allowBlank: !0,
                                                    width: editorConfig.codeWidth,
                                                    height: editorConfig.codeHeight,
                                                }, {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    hgap: 10,
                                                    ref: function (e) {
                                                        n.usersUrlEscbVersionEditor = e
                                                    },
                                                    value: e.usersUrlEscbVersion,
                                                    allowBlank: !0,
                                                    width: editorConfig.versionWidth,
                                                    height: editorConfig.codeHeight,
                                                }
                                            ]
                                        },
                                        {
                                            type: "bi.vertical_adapt",
                                            items: [{
                                                type: "dec.label.editor.item",
                                                textWidth: editorConfig.textWidth,
                                                cls: "dec-font-weight-bold",
                                                text: "发送消息地址:",
                                                value: e.sendMessageUrl,
                                                editorWidth: editorConfig.editorWidth,
                                                ref: function (e) {
                                                    n.sendMessageUrlItem = e
                                                }
                                            }, {
                                                type: "dec.switch_button",
                                                value: e.sendMessageUrlEscbOption,
                                                hgap: 10,
                                                ref: function (e) {
                                                    n.sendMessageUrlEscbOptionSwitcher = e
                                                }
                                            },
                                                {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    ref: function (e) {
                                                        n.sendMessageUrlEscbCodeEditor = e
                                                    },
                                                    value: e.sendMessageUrlEscbCode,
                                                    allowBlank: !0,
                                                    width: editorConfig.codeWidth,
                                                    height: editorConfig.codeHeight,
                                                }, {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    hgap: 10,
                                                    ref: function (e) {
                                                        n.sendMessageUrlEscbVersionEditor = e
                                                    },
                                                    value: e.sendMessageUrlEscbVersion,
                                                    allowBlank: !0,
                                                    width: editorConfig.versionWidth,
                                                    height: editorConfig.codeHeight,
                                                }
                                            ]
                                        },
                                        {
                                            type: "bi.vertical_adapt",
                                            items: [{
                                                type: "dec.label.editor.item",
                                                textWidth: editorConfig.textWidth,
                                                cls: "dec-font-weight-bold",
                                                text: "批量发送消息地址:",
                                                value: e.sendBatchMessageUrl,
                                                editorWidth: editorConfig.editorWidth,
                                                ref: function (e) {
                                                    n.sendBatchMessageUrlItem = e
                                                }
                                            }, {
                                                type: "dec.switch_button",
                                                value: e.sendBatchMessageUrlEscbOption,
                                                hgap: 10,
                                                ref: function (e) {
                                                    n.sendBatchMessageUrlEscbOptionSwitcher = e
                                                }
                                            },
                                                {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    ref: function (e) {
                                                        n.sendBatchMessageUrlEscbCodeEditor = e
                                                    },
                                                    value: e.sendBatchMessageUrlEscbCode,
                                                    allowBlank: !0,
                                                    width: editorConfig.codeWidth,
                                                    height: editorConfig.codeHeight,
                                                }, {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    hgap: 10,
                                                    ref: function (e) {
                                                        n.sendBatchMessageUrlEscbVersionEditor = e
                                                    },
                                                    value: e.sendBatchMessageUrlEscbVersion,
                                                    allowBlank: !0,
                                                    width: editorConfig.versionWidth,
                                                    height: editorConfig.codeHeight,
                                                }
                                            ]
                                        },
                                        {
                                            type: "bi.vertical_adapt",
                                            items: [{
                                                type: "dec.label.editor.item",
                                                textWidth: editorConfig.textWidth,
                                                cls: "dec-font-weight-bold",
                                                text: "上传图片地址:",
                                                title: "上传图片地址",
                                                value: e.uploadImageUrl,
                                                editorWidth: editorConfig.editorWidth,
                                                ref: function (e) {
                                                    n.uploadImageUrlItem = e
                                                }
                                            }, {
                                                type: "dec.switch_button",
                                                value: e.uploadImageUrlEscbOption,
                                                hgap: 10,
                                                ref: function (e) {
                                                    n.uploadImageUrlEscbOptionSwitcher = e
                                                }
                                            },
                                                {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    ref: function (e) {
                                                        n.uploadImageUrlEscbCodeEditor = e
                                                    },
                                                    value: e.uploadImageUrlEscbCode,
                                                    allowBlank: !0,
                                                    width: editorConfig.codeWidth,
                                                    height: editorConfig.codeHeight,
                                                }, {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    hgap: 10,
                                                    ref: function (e) {
                                                        n.uploadImageUrlEscbVersionEditor = e
                                                    },
                                                    value: e.uploadImageUrlEscbVersion,
                                                    allowBlank: !0,
                                                    width: editorConfig.versionWidth,
                                                    height: editorConfig.codeHeight,
                                                }
                                            ]
                                        },
                                        {
                                            type: "bi.vertical_adapt",
                                            items: [{
                                                type: "dec.label.editor.item",
                                                textWidth: editorConfig.textWidth,
                                                cls: "dec-font-weight-bold",
                                                text: "上传文件地址:",
                                                title: "上传文件地址",
                                                value: e.uploadFileUrl,
                                                editorWidth: editorConfig.editorWidth,
                                                ref: function (e) {
                                                    n.uploadFileUrlItem = e
                                                }
                                            }, {
                                                type: "dec.switch_button",
                                                value: e.uploadFileUrlEscbOption,
                                                hgap: 10,
                                                ref: function (e) {
                                                    n.uploadFileUrlEscbOptionSwitcher = e
                                                }
                                            },
                                                {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    ref: function (e) {
                                                        n.uploadFileUrlEscbCodeEditor = e
                                                    },
                                                    value: e.uploadFileUrlEscbCode,
                                                    allowBlank: !0,
                                                    width: editorConfig.codeWidth,
                                                    height: editorConfig.codeHeight,
                                                }, {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    hgap: 10,
                                                    ref: function (e) {
                                                        n.uploadFileUrlEscbVersionEditor = e
                                                    },
                                                    value: e.uploadFileUrlEscbVersion,
                                                    allowBlank: !0,
                                                    width: editorConfig.versionWidth,
                                                    height: editorConfig.codeHeight,
                                                }
                                            ]
                                        },
                                        {
                                            type: "bi.vertical_adapt",
                                            items: [{
                                                type: "dec.label.editor.item",
                                                textWidth: editorConfig.textWidth,
                                                cls: "dec-font-weight-bold",
                                                text: "请求用户身份验证地址:",
                                                title: "请求用户身份验证地址",
                                                value: e.authorizeUrl,
                                                editorWidth: editorConfig.editorWidth,
                                                ref: function (e) {
                                                    n.authorizeUrlItem = e
                                                }
                                            }, {
                                                type: "dec.switch_button",
                                                value: e.authorizeUrlEscbOption,
                                                hgap: 10,
                                                ref: function (e) {
                                                    n.authorizeUrlEscbOptionSwitcher = e
                                                }
                                            },
                                                {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    ref: function (e) {
                                                        n.authorizeUrlEscbCodeEditor = e
                                                    },
                                                    value: e.authorizeUrlEscbCode,
                                                    allowBlank: !0,
                                                    width: editorConfig.codeWidth,
                                                    height: editorConfig.codeHeight,
                                                }, {
                                                    type: "bi.editor",
                                                    cls: "bi-border",
                                                    hgap: 10,
                                                    ref: function (e) {
                                                        n.authorizeUrlEscbVersionEditor = e
                                                    },
                                                    value: e.authorizeUrlEscbVersion,
                                                    allowBlank: !0,
                                                    width: editorConfig.versionWidth,
                                                    height: editorConfig.codeHeight,
                                                }
                                            ]
                                        },
                                        {
                                            type: "dec.label.editor.item",
                                            textWidth: editorConfig.textWidth,
                                            cls: "dec-font-weight-bold",
                                            text: "ESCB接口地址:",
                                            title: "ESCB接口地址",
                                            value: e.escbUrl,
                                            editorWidth: editorConfig.editorWidth,
                                            ref: function (e) {
                                                n.escbUrlItem = e
                                            }
                                        }, {
                                            type: "dec.label.editor.item",
                                            textWidth: editorConfig.textWidth,
                                            cls: "dec-font-weight-bold",
                                            text: "ESCB应用编码:",
                                            title: "ESCB应用编码",
                                            value: e.escbAppCode,
                                            editorWidth: editorConfig.editorWidth,
                                            ref: function (e) {
                                                n.escbAppCodeItem = e
                                            }
                                        },
                                        {
                                            type: "dec.label.editor.item",
                                            textWidth: editorConfig.textWidth,
                                            cls: "dec-font-weight-bold",
                                            text: "ESCB应用授权令牌:",
                                            title: "ESCB应用授权令牌",
                                            value: e.escbAppToken,
                                            editorWidth: editorConfig.editorWidth,
                                            ref: function (e) {
                                                n.escbAppTokenItem = e
                                            }
                                        },
                                        {
                                            type: "dec.label.editor.item",
                                            textWidth: editorConfig.textWidth,
                                            cls: "dec-font-weight-bold",
                                            text: "ESCB组织编码:",
                                            title: "ESCB组织编码",
                                            value: e.escbOrgCode,
                                            editorWidth: editorConfig.editorWidth,
                                            ref: function (e) {
                                                n.escbOrgCodeItem = e
                                            }
                                        },
                                        {
                                            type: "dec.label.editor.item",
                                            textWidth: editorConfig.textWidth,
                                            cls: "dec-font-weight-bold",
                                            text: "ESCB系统编码:",
                                            title: "ESCB系统编码",
                                            value: e.escbSysCode,
                                            editorWidth: editorConfig.editorWidth,
                                            ref: function (e) {
                                                n.escbSysCodeItem = e
                                            }
                                        }

                                    ]
                                }
                            }]
                        },
                        listeners: [{
                            eventName: "EVENT_CHANGE",
                            action: function () {
                                var e;
                                n._validation() && (e = n.getValue(),
                                    n.store.saveNormal(e, function (e, t, i) {
                                        if (e.status && ("success" == e.status)) {
                                            BI.Msg.toast(BI.i18nText("Dec-Basic_Save_Success"), {level: "success"});
                                            return;
                                        }
                                        BI.Msg.toast(BI.i18nText("Dec-Basic_Save_Fail"), {level: "error"});
                                    }))
                            }
                        }]
                    }]
                }
            },
            getValue: function () {
                return BI.extend({
                    frUrl: this.frUrlItem.getValue(),
                    accessTokenUrl: this.accessTokenUrlItem.getValue(),
                    accessTokenUrlEscbOption: this.accessTokenUrlEscbOptionSwitcher.getValue(),
                    accessTokenUrlEscbCode: this.accessTokenUrlEscbCodeEditor.getValue(),
                    accessTokenUrlEscbVersion: this.accessTokenUrlEscbVersionEditor.getValue(),

                    codeUserUrl: this.codeUserUrlItem.getValue(),
                    codeUserUrlEscbOption: this.codeUserUrlEscbOptionSwitcher.getValue(),
                    codeUserUrlEscbCode: this.codeUserUrlEscbCodeEditor.getValue(),
                    codeUserUrlEscbVersion: this.codeUserUrlEscbVersionEditor.getValue(),

                    chatGroupsUrl: this.chatGroupsUrlItem.getValue(),
                    chatGroupsUrlEscbOption: this.chatGroupsUrlEscbOptionSwitcher.getValue(),
                    chatGroupsUrlEscbCode: this.chatGroupsUrlEscbCodeEditor.getValue(),
                    chatGroupsUrlEscbVersion: this.chatGroupsUrlEscbVersionEditor.getValue(),

                    usersUrl: this.usersUrlItem.getValue(),
                    usersUrlEscbOption: this.usersUrlEscbOptionSwitcher.getValue(),
                    usersUrlEscbCode: this.usersUrlEscbCodeEditor.getValue(),
                    usersUrlEscbVersion: this.usersUrlEscbVersionEditor.getValue(),

                    sendMessageUrl: this.sendMessageUrlItem.getValue(),
                    sendMessageUrlEscbOption: this.sendMessageUrlEscbOptionSwitcher.getValue(),
                    sendMessageUrlEscbCode: this.sendMessageUrlEscbCodeEditor.getValue(),
                    sendMessageUrlEscbVersion: this.sendMessageUrlEscbVersionEditor.getValue(),

                    sendBatchMessageUrl: this.sendBatchMessageUrlItem.getValue(),
                    sendBatchMessageUrlEscbOption: this.sendBatchMessageUrlEscbOptionSwitcher.getValue(),
                    sendBatchMessageUrlEscbCode: this.sendBatchMessageUrlEscbCodeEditor.getValue(),
                    sendBatchMessageUrlEscbVersion: this.sendBatchMessageUrlEscbVersionEditor.getValue(),

                    uploadImageUrl: this.uploadImageUrlItem.getValue(),
                    uploadImageUrlEscbOption: this.uploadImageUrlEscbOptionSwitcher.getValue(),
                    uploadImageUrlEscbCode: this.uploadImageUrlEscbCodeEditor.getValue(),
                    uploadImageUrlEscbVersion: this.uploadImageUrlEscbVersionEditor.getValue(),

                    uploadFileUrl: this.uploadFileUrlItem.getValue(),
                    uploadFileUrlEscbOption: this.uploadFileUrlEscbOptionSwitcher.getValue(),
                    uploadFileUrlEscbCode: this.uploadFileUrlEscbCodeEditor.getValue(),
                    uploadFileUrlEscbVersion: this.uploadFileUrlEscbVersionEditor.getValue(),

                    authorizeUrl: this.authorizeUrlItem.getValue(),
                    authorizeUrlEscbOption: this.authorizeUrlEscbOptionSwitcher.getValue(),
                    authorizeUrlEscbCode: this.authorizeUrlEscbCodeEditor.getValue(),
                    authorizeUrlEscbVersion: this.authorizeUrlEscbVersionEditor.getValue(),

                    escbUrl: this.escbUrlItem.getValue(),
                    escbAppCode: this.escbAppCodeItem.getValue(),
                    escbAppToken: this.escbAppTokenItem.getValue(),
                    escbOrgCode: this.escbOrgCodeItem.getValue(),
                    escbSysCode: this.escbSysCodeItem.getValue()
                })
            },
            _validation: function () {
                var e = !0
                return e;
            },
            _showSuccess: function (e, t) {
                var i = BI.UUID();
                delete e.cloudCenter,
                    BI.isDeepMatch(t, e) ? BI.Msg.toast(BI.i18nText("Dec-Basic_Save_Success"), {
                        level: "success"
                    }) : BI.Popovers.create(i, {
                        width: 450,
                        height: 220,
                        header: BI.i18nText("BI-Basic_Prompt"),
                        body: {
                            type: "dec.component.icon_text.alert",
                            text: BI.i18nText("Dec-System_Normal_Save_Tip"),
                            listeners: [{
                                eventName: BI.Popover.EVENT_CLOSE,
                                action: function () {
                                    BI.Popovers.remove(i)
                                }
                            }]
                        }
                    }).open(i)
            }
        });
        BI.shortcut("dec.jsdjjed.feishu.app.config", feishuAppConfig);

        BI.constant("dec.constant.jsdjjed.feishu.tabs", [{
            value: "allApp",
            text: "飞书应用",
            cardType: "dec.jsdjjed.feishu.app"
        }, {
            value: "appConfig",
            text: "配置",
            cardType: "dec.jsdjjed.feishu.app.config"
        }]);

        var fsManagerModel = BI.inherit(Fix.Model, {
            state: function () {
                var e = BI.Constants.getConstant("dec.constant.jsdjjed.feishu.tabs");
                return {
                    activeTab: BI.isNotEmptyArray(e) ? e[0].value : "allUser",
                    userManagementConfigs: {
                        syncOperationType: {
                            type: DecCst.System.Info.AuthenticType.DEFAULT
                        },
                        manualOperationType: {
                            type: DecCst.System.Info.AuthenticType.DEFAULT
                        }
                    }
                }
            },
            childContext: ["userManagementConfigs"],
            computed: {
                tabs: function () {
                    return BI.map(BI.Constants.getConstant("dec.constant.jsdjjed.feishu.tabs"), function (e, t) {
                        return {
                            text: t.text,
                            value: t.value,
                            selected: 0 === e
                        }
                    })
                },
                isAdmin: function () {
                    //return BI.Services.getService("dec.service.user.management").isAdmin();
                    return true;
                }
            },
            actions: {
                getUserConfig: function (e) {
                    this.getManagementConfig(e),
                        BI.Services.getService("dec.service.user.management").initUserOrganization()
                },
                getManagementConfig: function (t) {
                    var i = this;
                    Dec.Utils.getUserManagementConfig(function (e) {
                        i.model.userManagementConfigs = e.data,
                        t && t()
                    })
                },
                openTab: function (e) {
                    this.model.activeTab = e
                },
                createCard: function (i) {
                    var e = BI.find(BI.Constants.getConstant("dec.constant.jsdjjed.feishu.tabs"), function (e, t) {
                        return t.value === i
                    });
                    return e ? BI.extend({
                        type: e.cardType
                    }, e) : {
                        type: "bi.label",
                        text: i
                    }
                }
            }
        });
        BI.model("dec.model.jsdjjed.feishu.manager", fsManagerModel);

        var fsManager = BI.inherit(BI.Widget, {
            props: {
                baseCls: "dec-user-management"
            },
            _store: function () {
                return BI.Models.getModel("dec.model.jsdjjed.feishu.manager")
            },
            watch: {
                activeTab: function (e) {
                    this.tab.setSelect(e)
                }
            },
            beforeInit: function (e) {
                this.store.getUserConfig(e)
            },
            render: function () {
                var t = this
                    , e = {
                    type: "dec.line_segment",
                    cls: "dec-font-weight-bold",
                    ref: function (e) {
                        t.tabs = e
                    },
                    height: 40,
                    items: BI.createItems(this.model.tabs, {
                        hgap: 15
                    }),
                    layouts: [{
                        type: "bi.vertical_adapt"
                    }],
                    listeners: [{
                        eventName: "EVENT_CHANGE",
                        action: function (e) {
                            t.store.openTab(e)
                        }
                    }]
                };
                return {
                    type: "bi.absolute",
                    cls: "bi-background",
                    items: [{
                        el: {
                            type: "bi.vtape",
                            items: [{
                                type: "bi.vertical_adapt",
                                cls: "bi-card bi-border-bottom",
                                items: [e],
                                height: 40
                            }, {
                                type: "bi.absolute",
                                items: [{
                                    el: {
                                        type: "bi.tab",
                                        cardCreator: BI.bind(this.store.createCard, this),
                                        single: !0,
                                        ref: function (e) {
                                            t.tab = e
                                        },
                                        showIndex: this.model.activeTab
                                    },
                                    top: 10,
                                    left: 10,
                                    right: 10,
                                    bottom: 10
                                }]
                            }]
                        },
                        left: 0,
                        right: 0,
                        top: 0,
                        bottom: 0
                    }]
                }
            },
            _createSettingLayer: function () {
                var e = this
                    , t = BI.UUID();
                BI.Layers.create(t, null, {
                    container: this,
                    render: {
                        type: "dec.user.setting",
                        listeners: [{
                            eventName: "EVENT_SAVE",
                            action: function () {
                                e.store.getManagementConfig(function () {
                                    BI.Layers.remove(t)
                                })
                            }
                        }, {
                            eventName: "EVENT_CHANGE",
                            action: function () {
                                BI.Layers.remove(t)
                            }
                        }]
                    }
                }),
                    BI.Layers.show(t)
            }
        });
        BI.shortcut("dec.management.jsdjjed.feishu.manager", fsManager);


//  特别注意,此配置需要配合服务端SystemOptionProvider接口使用,不然会因无权限而不显示节点.
        BI.config("dec.constant.management.navigation", function (items) {
            items.push({
                value: "jsdjjed-feishu", // 地址栏显示的hash值
                id: "decision-jsdjjed-feishu-manager", // id
                text: "飞书管理", // 文字
                cardType: "dec.management.jsdjjed.feishu.manager", // 组件的shortcut,适用于用fineui开发的页面.
                cls: "icon-manager-font" // 图标类名
            });
            return items;
        });
    }
    ()
)
;